Bug 717652 - [RHEVM Backend] Backend should validate the subnet mask
[RHEVM Backend] Backend should validate the subnet mask
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: lpeer
network
: EasyFix
: 770433 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 09:42 EDT by Kiril Nesenko
Modified: 2014-07-10 20:07 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:25:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kiril Nesenko 2011-06-29 09:42:50 EDT
Description of problem:
Backend should validate the subnet mask on UpdateNetworkToVdsInterfaceCommand CanDoAction and AttachNetworkToVdsInterfaceCommand CanDoAction

Version-Release number of selected component (if applicable):
ic127

How reproducible:
Always

Steps to Reproduce:
1. Try to assign illegal subnet mask, like 0.0.4.23

  
Actual results:
It is possible to assign illegal subnet masks

Expected results:
backend should validate the subnet mask

Additional info:
Comment 1 Itamar Heim 2011-06-29 18:24:49 EDT
(In reply to comment #0)
> 1. Try to assign illegal subnet mask, like 0.0.4.23

for future reference
"An IPv4 network mask consist of 32 bits, a sequence of ones (1) followed by a block of 0s. The last block of zeros (0) designate that part as being the host identifier."
http://en.wikipedia.org/wiki/Subnetwork
Comment 2 Itamar Heim 2012-04-11 20:43:02 EDT
*** Bug 770433 has been marked as a duplicate of this bug. ***
Comment 3 Itamar Heim 2013-02-25 02:25:37 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.